petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCSPAISetMax

set the size of various working buffers in the SPAI preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSPAISetMax(PC pc,int max1)

### Input Parameters

| pc | - the preconditioner
| n | - size (default is 5000)

### See Also

PCSPAI, PCSetType()

### Level

intermediate

### Location

src/ksp/pc/impls/spai/ispai.c

### Implementations

PCSPAISetMax_SPAI in src/ksp/pc/impls/spai/ispai.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages